Bug 826533 (CVE-2012-2378)

Summary: CVE-2012-2378 jbossws-cxf, apache-cxf: Certain child policies of WS-SecurityPolicy 1.1 SupportingToken policy not applied on the client side
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: asoldano, brms-jira, djorm, dpalmer, jcoleman, ncross, nwallace, rzhang, security-response-team, tkirby, zzoubkov
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120607,reported=20120528,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,openshift-1/Cartridges=affected,fedora-17/jbossws-cxf=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-24 17:47:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 827794, 846242    
Bug Blocks: 826535, 881519    

Description Jan Lieskovsky 2012-05-30 08:51:53 EDT
A flaw was found in the way Apache CXF enforced child policies of WS-SecurityPolicy 1.1 on the client side. In certain circumstances, this could lead a client failing to sign or encrypt certain elements as directed by the security policy, leading to information disclosure and insecure transmission of information.
Comment 4 Vincent Danen 2012-06-07 12:29:26 EDT
This has been corrected upstream in versions 2.4.8, 2.5.4, and 2.6.1:

http://svn.apache.org/viewvc?view=revision&revision=1337150

External Reference:

http://cxf.apache.org/cve-2012-2378.html
Comment 5 David Jorm 2012-08-07 04:57:48 EDT
Created jbossws-cxf tracking bugs for this issue

Affects: fedora-17 [bug 846242]
Comment 6 Murray McAllister 2012-10-11 00:06:57 EDT
Acknowledgements:

Red Hat would like to thank the Apache CXF project for reporting this issue.
Comment 7 errata-xmlrpc 2012-12-18 17:21:26 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2012:1591 https://rhn.redhat.com/errata/RHSA-2012-1591.html
Comment 8 errata-xmlrpc 2012-12-18 17:33:19 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2012:1592 https://rhn.redhat.com/errata/RHSA-2012-1592.html
Comment 9 errata-xmlrpc 2012-12-18 17:53:17 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2012:1594 https://rhn.redhat.com/errata/RHSA-2012-1594.html